Bug 126608 - gdbtui suspends when you "run"
Summary: gdbtui suspends when you "run"
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb   
(Show other bugs)
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elena Zannoni
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-23 18:45 UTC by Anthony Green
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-24 22:53:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Anthony Green 2004-06-23 18:45:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
The "run" command causes gdbtui to suspend.

Run

$ gdbtui /usr/bin/as

Then type

(gdb) run --version

and the debugger suspends, as if somebody had cleared the screen and 
typed Ctrl-Z.

type

$ fg

to continue.    The output also messes up the text window.





Version-Release number of selected component (if applicable):
gdb-6.0post-0.20040223.19

How reproducible:
Always

Steps to Reproduce:
1. See description.
2.
3.
    

Additional info:

Comment 1 Anthony Green 2004-12-07 16:25:51 UTC
Apparently this bug is fixed by this patch:
http://sources.redhat.com/ml/gdb-patches/2004-12/msg00115.html



Note You need to log in before you can comment on or make changes to this bug.